Bug 803863 - [RFE] No way to customize tabbed
[RFE] No way to customize tabbed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tabbed (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 15:06 EDT by Ben Boeckel
Modified: 2014-09-10 11:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: tabbed-0.6-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-10 11:28:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2012-03-15 15:06:11 EDT
Description of problem:
Tabbed uses config.h for its configuration during compilation. A -user subpackage should be made similar to the way dwm[1] does it so that users can customize tabbed.

[1]https://pkgs.fedoraproject.org/gitweb/?p=dwm.git;a=blob;f=dwm.spec
Comment 1 Fedora End Of Life 2013-04-03 10:08:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Ben Boeckel 2013-06-20 01:56:43 EDT
Marking as an RFE.
Comment 3 Fedora Admin XMLRPC Client 2014-02-21 13:27:18 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Petr Šabata 2014-02-27 13:02:41 EST
Porting the dwm-start to something like tabbed-user (which would be a better affix, I guess) should be trivial.
Comment 5 Petr Šabata 2014-06-25 09:05:26 EDT
After giving it some thought, I'll do this (and hopefully all the other SL packages) utilizing alternatives so that the user configured binary can be called with the same name, if desired.
Comment 6 Fedora Update System 2014-06-26 10:37:40 EDT
tabbed-0.6-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tabbed-0.6-3.fc20
Comment 7 Fedora Update System 2014-07-15 21:59:51 EDT
tabbed-0.6-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.